<template>
  <div class="spot-transport">
    <div class="spot-transport__title">
      Транспорт
    </div>
    <div class="spot-transport__list">
      {{ resourceTypeTitle }}
    </div>
  </div>
</template>

<script>
export default {
  props: {
    spotResourceTypeTitle: {
      type: String,
      default: '',
    },
  },
  computed: {
    resourceTypeTitle() {
      return this.spotResourceTypeTitle
        ? this.spotResourceTypeTitle
        : 'Не указан'
    },
  },
}
</script>

<style lang="scss" scoped>
@import '~common-components/src/static/css/variables';

.spot-transport {
  &__title {
    font-size: 12px;
    line-height: 12px;
    letter-spacing: 0.4px;
    color: $gray-slate;
  }
  &__list {
    font-size: 14px;
    line-height: 20px;
    letter-spacing: 0.2px;
    color: $color-text-base;
  }
}
</style>
